# Core classes and interfaces

The classes and interfaces that are core to ui-router and do not belong to a more specific subsystem (such as resolve).

## Index

### Classes

- Glob
- UIRouter
- UIRouterGlobals
- UIRouterPluginBase

### Interfaces

- Disposable
- UIInjector
- UIRouterPlugin

### Type aliases

- PluginFactory

## Type aliases

PluginFactory: function

#### Type declaration

- - (router: UIRouter, options?: any): T

  - #### Parameters

    - ##### router UIRouter

    - ##### options: Optional any

    #### Returns T

- Defined in router.ts:217

Generated using TypeDoc